> For the complete documentation index, see [llms.txt](https://docs.coherence.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherence.io/0.5.2/api-reference/cloud-api.md).

# Cloud API

### Overview

The **coherence Cloud API** allows us to access online services like game accounts, key-value store, matchmaking, and others. It also allows you to get the addresses (IP and port number) of the servers the players can connect to.

The Cloud API requires you to use[ tokens connected to your coherence project](/0.5.2/api-reference/cloud-api/api-tokens-keys.md).

### List of endpoints

* [Server discovery](/0.5.2/api-reference/cloud-api/server-discovery.md)
* [Game account](/0.5.2/api-reference/cloud-api/game-account.md)
* [Key-value store](/0.5.2/api-reference/cloud-api/key-value-store.md)
* [Matchmaking](/0.5.2/api-reference/cloud-api/matchmaking.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/0.5.2/api-reference/cloud-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
